  try
  {
    measureResultSet = selectMeasureStatement.executeQuery(query);
  }
  catch(SQLException sqle)
  {
    logFile.logMessage
    ("Failed to execute query " + query + ". " + sqle.toString());
  }
